Subject: bug#10906: 24.0.94; `c-mark-function' does set the mark well

From: Alan Mackenzie <[email-masked]>
Date: Fri, 9 Mar 2012 16:49:32 +0000

Hello, Dani.

On Wed, Mar 07, 2012 at 10:37:10PM +0100, Dani Moncayo wrote:
> > Here's a revised patch.  I think it'll work this time.

> It works, thank you.

I've committed a patch for this into savannah.

> BTW, I have a question (I've still a beginner on elisp): What's the
> point of the "or" form here?

> > +             (or (and (eq this-command 'c-mark-function)
> > +                      (eq last-command 'c-mark-function))))

> It has a single argument, so that it would be equivalent to get rid of
> it, like this:

> > +             (and (eq this-command 'c-mark-function)
> > +                      (eq last-command 'c-mark-function)))

Yes!  That was a coding mistake, thanks for picking it up.

> ??

> -- 
> Dani Moncayo

-- 
Alan Mackenzie (Nuremberg, Germany).